Bug 1624533 - Plugin auth_gssapi_client could not be loaded: lib64/mariadb/plugin/auth_gssapi_client.so: cannot open shared object file: No such file or directory
Summary: Plugin auth_gssapi_client could not be loaded: lib64/mariadb/plugin/auth_gssa...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb-connector-c
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-01 01:38 UTC by Anthony Messina
Modified: 2019-04-01 12:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-01 12:14:45 UTC


Attachments (Terms of Use)

Description Anthony Messina 2018-09-01 01:38:57 UTC
After upgrading mariadb-connector-c to 3.0.6-1.fc28, the auth_gssapi_plugin for the client doesn't work properly:

org.kde.pim.akonadiserver: Database error: "Plugin auth_gssapi_client could not be loaded: lib64/mariadb/plugin/auth_gssapi_client.so: cannot open shared object file: No such file or directory QMYSQL: Unable to connect"

Downgrading to 3.0.3-3.fc28, things begin to work immediately.

Comment 1 Michal Schorm 2018-09-04 12:51:54 UTC
Hello,
this can be tricky to reproduce.

--

I used VM with the "Fedora-KDE-Live-x86_64-28-1.1.iso".
Installed, created user, ran.
Akonadi was OK. 'akonadictl status' nor 'journalctl -xe' showed any error

I updated mariadb-server (better said - I updated all mariadb pkgs without the connector)
Akonadi was OK both after 'akonadictl restart' and system reboot. 'akonadictl status' nor 'journalctl -xe' showed any error

I updated mariadb-connector-c.
Akonadi was OK both after 'akonadictl restart' and system reboot. 'akonadictl status' nor 'journalctl -xe' showed any error

I updated the whole system (+- 900 packages), but still it looks like it works fine.

--

That was the first touch.

Is there any special configuration needed or does Akonadi uste the gss plugin by default?

Comment 2 Anthony Messina 2018-09-05 22:39:54 UTC
I have akonadi set up to use a remote MariaDB server (with the server also fully upgraded on F28):

Relevant portion of .config/akonadi/akonadiserverrc
[QMYSQL]
Host=db.example.com
Name=akonadi
Options=
Password=
ServerPath=/usr/libexec/mysqld
StartServer=false
User=myusername

The remote MariaDB server is using GSSAPI authentication which works well for all kinds of other apps I use requiring my users to auth with GSSAPI (Kerberos creds).

With the previous version this worked "automagically"

After the upgrade to the more recent mariadb-connector-c on the client is when things fail.  Downgrading and starting akonadi immediately works with GSSAPI.

Comment 3 Anthony Messina 2018-11-03 21:15:20 UTC
This continues to occur with akonadi under Fedora 29 with mariadb-connector-c-3.0.6-2.fc29.x86_64.

However, I was able to workaround the issue by adding a symlink in "/home/myusername":

So...
/home/myusername/lib64 -> /usr/lib64

seem to allow akonadi to start.

Perhaps the built-in plugin dir is missing the leading / ?

Comment 4 Michal Schorm 2018-11-13 18:11:38 UTC
Sadly, I don't have capacity to debug and fix it in following weeks

Comment 5 Michal Schorm 2019-03-20 04:32:56 UTC
I was able to reproduce the issue with a simple C code and I can confirm the Akonadi does not play any role in it.

You can watch the discussion upstream:
https://jira.mariadb.org/browse/CONC-383

Comment 6 Michal Schorm 2019-03-21 03:46:04 UTC
It seems like I found a solution for your problem.
The bad news is that all software that builds on top of mariadb-connector-c everywhere has to be most likely rebuilt ...

--

If you want to speed this up for yourself, you can use the latest mariadb-connector-c builds and rebuild the Akonadi on top of them manualy.

Comment 7 Fedora Update System 2019-03-21 09:05:30 UTC
mariadb-connector-c-3.0.9-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0bb32dea35

Comment 8 Fedora Update System 2019-03-21 09:06:08 UTC
mariadb-connector-c-3.0.9-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e96bbd0de1

Comment 9 Fedora Update System 2019-03-21 09:06:52 UTC
mariadb-connector-c-3.0.9-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8094abe90d

Comment 10 Michal Schorm 2019-03-21 09:08:57 UTC
Update:

The rebuild of dependant software shouldn't be needed after all.

Please test the fixed packages and let me know, if it solves your issue

Comment 11 Anthony Messina 2019-03-21 13:35:30 UTC
Michal, https://bodhi.fedoraproject.org/updates/FEDORA-2019-e96bbd0de1 does indeed fix the problem. Thank you for your persistence in tracking this down and getting it fixed.

Comment 12 Michal Schorm 2019-03-21 13:39:37 UTC
Great!

Thank you for the confirmation.

Comment 13 Fedora Update System 2019-03-21 19:12:32 UTC
mariadb-connector-c-3.0.9-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0bb32dea35

Comment 14 Fedora Update System 2019-03-21 21:19:08 UTC
mariadb-connector-c-3.0.9-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e96bbd0de1

Comment 15 Fedora Update System 2019-03-21 21:49:02 UTC
mariadb-connector-c-3.0.9-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8094abe90d

Comment 16 Fedora Update System 2019-03-29 19:18:54 UTC
mariadb-connector-c-3.0.9-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-03-31 03:00:31 UTC
mariadb-connector-c-3.0.9-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-03-31 03:11:20 UTC
mariadb-connector-c-3.0.9-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.